Bug 1749738

Summary: rpmlint: E: library-not-linked-against-libc
Product: [Fedora] Fedora Reporter: Jens Petersen <petersen>
Component: rpmlintAssignee: Tom "spot" Callaway <spotrh>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 31CC: tcallawa, tibbs, tmz, twoerner
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: rpmlint-1.11-12.fc32 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-06-16 15:08:25 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Jens Petersen 2019-09-06 10:46:10 UTC
Description of problem:
rpmlint gives an error for shared libraries that are not linked to libc.so.

While it is true that many/most (commonly/widely used) libraries (in Fedora)
are linked to libc.so, it is not true for all libraries.
Some libraries may not use libc directly so they do not require to
have "NEEDED libc.so".

I feel this should just really be a warning, or at least rpmdiff
should provide info (currently there is none) for this error
to the effect that this is not mandatory.

Is it covered by any Fedora Packaging Guidelines?

Version-Release number of selected component (if applicable):
rpmlint-1.11-3.fc31

How reproducible:
100%

Steps to Reproduce:
1. rpmlint ghc-data-default | grep "E: library-not-linked-against-libc"

Actual results:
"E: library-not-linked-against-libc" for libHSdata-default-0.7.1.1-*.so

Expected results:
No error, maybe a warning.

Comment 1 Jens Petersen 2020-02-10 11:11:03 UTC
I happened to find an upstream PR which addresses this:
https://github.com/rpm-software-management/rpmlint/pull/363

Comment 2 Fedora Admin user for bugzilla script actions 2020-06-03 02:57:11 UTC
This package has changed maintainer in the Fedora.
Reassigning to the new maintainer of this component.

Comment 3 Tom "spot" Callaway 2020-06-16 15:08:25 UTC
Fixed in rpmlint-1.11-8.fc33

Comment 4 Jens Petersen 2020-06-17 08:26:00 UTC
Thanks Tom, awesome!

Comment 5 Fedora Update System 2020-08-21 13:47:46 UTC
FEDORA-2020-e17f5f1103 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-e17f5f1103

Comment 6 Fedora Update System 2020-08-22 01:05:56 UTC
FEDORA-2020-e17f5f1103 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-e17f5f1103`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-e17f5f1103

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-09-01 19:30:16 UTC
FEDORA-2020-e17f5f1103 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.